
import java.awt.*;

public class CercleGraph extends Cercle implements FormeGeometrique {
    Color c;
     public CercleGraph(int x, int y, int r, Color c)
     {
        super(x,y,r);
        this.c = c;
     }
     public void dessiner(Graphics g)
     {
         g.setColor(c);
         g.fillOval(x,y,r,r);
     }
     public boolean inside(int px, int py)
     {
         return (Math.sqrt(((x+r/2)-px)*((x+r/2)-px)+((y+r/2)-py)*((y+r/2)-py))<=r/2);
     }
     
     public void dragX(int diffx)
     {
         x += diffx;
     }     
     public void dragY(int diffy)
     {
         y += diffy;
     }
    public boolean leavesX(int diffx, int sx)
    {
        return ((x+diffx<0) || (x+diffx+r>sx));
    }
    public boolean leavesY(int diffy, int sy)
    {
        return ((y+diffy<0) || (y+diffy+r>sy));
    }
}

